@prefix lv2:   <http://lv2plug.in/ns/lv2core#> .
@prefix foaf:  <http://xmlns.com/foaf/0.1/> .
@prefix doap:  <http://usefulinc.com/ns/doap#> .
@prefix rdfs:  <http://www.w3.org/2000/01/rdf-schema#> .
@prefix units: <http://lv2plug.in/ns/extension/units#> .
@prefix uiext: <http://lv2plug.in/ns/extensions/ui#> .
@prefix epp:   <http://lv2plug.in/ns/dev/extportinfo#> .
@prefix dc:    <http://dublincore.org/documents/dcmi-namespace/> .
@prefix pg:    <http://lv2plug.in/ns/dev/port-groups#> .


<http://invadarecords.com/plugins/lv2/compressor/gui>
    a uiext:GtkUI;
    uiext:binary <inv_compressor_gui.so>;
    uiext:requiredFeature uiext:makeResident ;
    uiext:optionalFeature uiext:noUserResize ;

    uiext:portNotification [ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/mono> ;
        uiext:portIndex 8 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/mono> ;
        uiext:portIndex 9 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/mono> ;
        uiext:portIndex 10 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/mono> ;
        uiext:portIndex 11 ;
    ] ;

    uiext:portNotification [ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/stereo> ;
        uiext:portIndex 8 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/stereo> ;
        uiext:portIndex 9 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/stereo> ;
        uiext:portIndex 10 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/stereo> ;
        uiext:portIndex 11 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/stereo> ;
        uiext:portIndex 14 ;
    ],[ 
	uiext:plugin <http://invadarecords.com/plugins/lv2/compressor/stereo> ;
        uiext:portIndex 15 ;
    ] .

<http://invadarecords.com/plugins/lv2/compressor/mono> 
    a lv2:Plugin, lv2:CompressorPlugin ;
    doap:name "Invada Compressor (mono)" ;
    doap:developer [
	foaf:name "Fraser Stuart";
	foaf:homepage <https://launchpad.net/invada-studio> ;
	foaf:mbox <mailto:fraser@arkhostings.com> ;
    ] ;
    doap:maintainer [
	foaf:name "Invada";
	foaf:homepage <http://www.invadarecords.com/Downloads.php?ID=00000264> ;
	foaf:mbox <mailto:fraser@arkhostings.com> ;
    ] ;
    doap:license <http://usefulinc.com/doap/licenses/gpl> ;
    lv2:optionalFeature lv2:hardRtCapable ;
    uiext:ui <http://invadarecords.com/plugins/lv2/compressor/gui> ;
    dc:replaces <urn:ladspa:3308> ;

    lv2:port [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 0 ;
	lv2:symbol "bypass" ;
	lv2:name "Bypass" ;
	lv2:portProperty lv2:toggled ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 1 ;
	lv2:symbol "rms" ;
	lv2:name "RMS" ;
	lv2:default 0.5 ;
	lv2:minimum 0.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 2 ;
	lv2:symbol "attack" ;
	lv2:name "Attack" ;
	lv2:default 0.015 ;
	lv2:minimum 0.00001 ;
	lv2:maximum 0.750 ;
	units:unit units:s ;
        lv2:portProperty epp:logarithmic ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 3 ;
	lv2:symbol "release" ;
	lv2:name "Release" ;
	lv2:default 0.050 ;
	lv2:minimum 0.001 ;
	lv2:maximum 5.0 ;
	units:unit units:s ;
        lv2:portProperty epp:logarithmic ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 4 ;
	lv2:symbol "threshold" ;
	lv2:name "Threshold" ;
	lv2:default 0.0 ;
	lv2:minimum -36.0 ;
	lv2:maximum 0.0 ;
	units:unit units:db ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 5 ;
	lv2:symbol "ratio" ;
	lv2:name "Ratio" ;
	lv2:default 1.0 ;
	lv2:minimum 1.0 ;
	lv2:maximum 20.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 6 ;
	lv2:symbol "gain" ;
	lv2:name "Gain" ;
	lv2:default 0.0 ;
	lv2:minimum -6.0 ;
	lv2:maximum 36.0 ;
	units:unit units:db ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 7 ;
	lv2:symbol "noClip" ;
	lv2:name "Soft Clip" ;
	lv2:portProperty lv2:toggled ;
	lv2:default 1.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 8 ;
	lv2:symbol "grmeter" ;
	lv2:name "Gain Reduction" ;
	lv2:default 0.0 ;
	lv2:minimum -36.0 ;
	lv2:maximum 0.0 ;
	units:unit units:db ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 9 ;
	lv2:symbol "lampDrive" ;
	lv2:name "Drive" ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 10.0 ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 10 ;
	lv2:symbol "meterIn" ;
	lv2:name "In" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 11 ;
	lv2:symbol "meterOut" ;
	lv2:name "Out" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:InputPort, lv2:AudioPort ;
	lv2:index 12 ;
	lv2:symbol "in" ;
	lv2:name "In" ;
    ] , [
	a lv2:OutputPort, lv2:AudioPort ;
	lv2:index 13 ;
	lv2:symbol "out" ;
	lv2:name "Out" ;
    ] .

<http://invadarecords.com/plugins/lv2/compressor/stereo#in> 
    a pg:Group ;
    a pg:StereoGroup ;
    lv2:symbol "in" .
  
<http://invadarecords.com/plugins/lv2/compressor/stereo#out> 
    a pg:Group ;
    a pg:StereoGroup ;
    lv2:symbol "out" .

<http://invadarecords.com/plugins/lv2/compressor/stereo> 
    a lv2:Plugin, lv2:CompressorPlugin ;
    doap:name "Invada Compressor (stereo)" ;
    doap:developer [
	foaf:name "Fraser Stuart";
	foaf:homepage <https://launchpad.net/invada-studio> ;
	foaf:mbox <mailto:fraser@arkhostings.com> ;
    ] ;
    doap:maintainer [
	foaf:name "Invada";
	foaf:homepage <http://www.invadarecords.com/Downloads.php?ID=00000264> ;
	foaf:mbox <mailto:fraser@arkhostings.com> ;
    ] ;
    doap:license <http://usefulinc.com/doap/licenses/gpl> ;
    lv2:optionalFeature lv2:hardRtCapable ;
    uiext:ui <http://invadarecords.com/plugins/lv2/compressor/gui> ;
    dc:replaces <urn:ladspa:3309> ;

    lv2:port [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 0 ;
	lv2:symbol "bypass" ;
	lv2:name "Bypass" ;
	lv2:portProperty lv2:toggled ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 1 ;
	lv2:symbol "rms" ;
	lv2:name "RMS" ;
	lv2:default 0.5 ;
	lv2:minimum 0.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 2 ;
	lv2:symbol "attack" ;
	lv2:name "Attack" ;
	lv2:default 0.015 ;
	lv2:minimum 0.00001 ;
	lv2:maximum 0.750 ;
	units:unit units:s ;
        lv2:portProperty epp:logarithmic ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 3 ;
	lv2:symbol "release" ;
	lv2:name "Release" ;
	lv2:default 0.050 ;
	lv2:minimum 0.001 ;
	lv2:maximum 5.0 ;
	units:unit units:s ;
        lv2:portProperty epp:logarithmic ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 4 ;
	lv2:symbol "threshold" ;
	lv2:name "Threshold" ;
	lv2:default 0.0 ;
	lv2:minimum -36.0 ;
	lv2:maximum 0.0 ;
	units:unit units:db ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 5 ;
	lv2:symbol "ratio" ;
	lv2:name "Ratio" ;
	lv2:default 1.0 ;
	lv2:minimum 1.0 ;
	lv2:maximum 20.0 ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 6 ;
	lv2:symbol "gain" ;
	lv2:name "Gain" ;
	lv2:default 0.0 ;
	lv2:minimum -6.0 ;
	lv2:maximum 36.0 ;
	units:unit units:db ;
    ] , [
	a lv2:InputPort, lv2:ControlPort ;
	lv2:index 7 ;
	lv2:symbol "noClip" ;
	lv2:name "Soft Clip" ;
	lv2:portProperty lv2:toggled ;
	lv2:default 1.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 1.0 ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 8 ;
	lv2:symbol "grmeter" ;
	lv2:name "Gain Reduction" ;
	lv2:default 0.0 ;
	lv2:minimum -36.0 ;
	lv2:maximum 0.0 ;
	units:unit units:db ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 9 ;
	lv2:symbol "lampDrive" ;
	lv2:name "Drive" ;
	lv2:default 0.0 ;
	lv2:minimum 0.0 ;
	lv2:maximum 10.0 ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 10 ;
	lv2:symbol "meterInL" ;
	lv2:name "L In" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 11 ;
	lv2:symbol "meterOutL" ;
	lv2:name "L Out" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:InputPort, lv2:AudioPort ;
	lv2:index 12 ;
	lv2:symbol "inL" ;
	lv2:name "In L" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/compressor/stereo#in> ;
	pg:role pg:leftChannel ;
    ] , [
	a lv2:OutputPort, lv2:AudioPort ;
	lv2:index 13 ;
	lv2:symbol "outL" ;
	lv2:name "Out L" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/compressor/stereo#out> ;
	pg:role pg:leftChannel ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 14 ;
	lv2:symbol "meterInR" ;
	lv2:name "R In" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:OutputPort, lv2:ControlPort ;
	lv2:index 15 ;
	lv2:symbol "meterOutR" ;
	lv2:name "R Out" ;
	lv2:default -60.0 ;
	lv2:minimum -60.0 ;
	lv2:maximum 6.0 ;
	units:unit units:db ;
    ] , [
	a lv2:InputPort, lv2:AudioPort ;
	lv2:index 16 ;
	lv2:symbol "inR" ;
	lv2:name "In R" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/compressor/stereo#in> ;
	pg:role pg:rightChannel ;
    ] , [
	a lv2:OutputPort, lv2:AudioPort ;
	lv2:index 17 ;
	lv2:symbol "outR" ;
	lv2:name "Out R" ;
	pg:inGroup <http://invadarecords.com/plugins/lv2/compressor/stereo#out> ;
	pg:role pg:rightChannel ;
    ]
.




	
